function v=cc_adjust_exp(target_level,verbose)
%CC_ADJUST_EXP(target_level,verbose) 露光時間の自動設定
%  target_level: 目標レベル
%  verbose: 詳細表示(true/false:default)
%戻り値
%  最大値

if nargin<1
    target_level=60000;
end
if nargin<2
  verbose=false;
end

target_level_h=target_level*1.1;
target_level_l=target_level*0.9;
v=-1;
data=cc_get_data();
org_a=data.a;
if org_a>1
    cc_set_avg(1);
end

org_e=0;
exit_code=0;
for k=1:20
    pause(1);
    data=cc_get_data();

    v=max(data.d);
    if verbose
      fprintf('k=%d, v=%.1f, exp=%d\n',k,v,data.e);
    end
    if v>=target_level_l && v<=target_level_h
        exit_code=1;
        break
    end
    if (data.e==100000) && (org_e==data.e)
        exit_code=10;
        break;
    end
    if v<target_level_l/2
        cc_set_exp('up','large');
    elseif v<target_level
        cc_set_exp('up','small');
    elseif v>target_level_h*2
        cc_set_exp('down','large');
    elseif v>target_level
        cc_set_exp('down','small');
    end
    org_e=data.e;
end

if org_a>1
    cc_set_avg(org_a);
end
if exit_code==10
    fprintf('Warning: Not enough signal');
end

end

