function [ref] = cc_get_ref(white,dark)
%CC_GET_REF(white,dark) カラーコンパスで分光反射率の取得
%   white: white信号(無指定時は65535)
%   dark : dark信号(無指定時は0, -1の場合センサ先頭素子から自動設定)
%    
if nargin<2
    dark=0;
    if nargin<1
        white=65535;
    end
end
v=cc_get_inten();
if dark<0
    dark=mean(v(1:11));
end
numer=max(0,(v-dark));
denom=max(1,(white-dark));
ref=min(10,numer./denom);

end

