function [dt] = cc_plot_data(title_str)
%CC_PLOT_DATA(title_str) カラーコンパスからデータを取得しプロット
%   title_str: タイトル文字列
if (nargin<1) || isempty(title_str)
    title_str='';
end
data=cc_get_data();
dt=data.d;

plot(cc_get_wl,data.d);
s=sprintf('Exp=%d(us),Avg=%d,Battery=%.1f(V),Temp=%.1f(deg)',data.e,data.a,data.v,data.t);
if is_octave()
  if isempty(title_str)
      title(s);
  else
    title(title_str);
  end
else
  if isempty(title_str)
    title(title_str);
  end
  subtitle(s);
end
xlabel('\lambda in nm');
ylabel('Intensity');
xlim('tight');
grid on


end

